Subject: bug#47848: aclocal fails with "error: too many loops"

From: Eric Gallager <[email-masked]>
Date: Sun, 9 May 2021 21:31:33 -0400

On Sun, May 9, 2021 at 9:28 PM Karl Berry <[email-masked]> wrote:
>
> Ei Eric,
>
>         Automake::ChannelDefs::prog_error("too many loops") called at
>     /opt/local/bin/aclocal line 1187
>
> I've never seen that error before. The comment in aclocal where the
> check is done says:
>
> # We may have to rerun aclocal if some file have been installed, but
> # it should not happen more than once.
>
> So, hmm.
>
>     https://github.com/cooljeanius/magicseteditor
>     ...
>     automake 1.16.3 as installed by MacPorts. Any idea what's going on?
>
> Nothing springs to mind, sorry.
>
> Is it reproducible? Any chance you can cut down your configure.ac and
> project to something smaller? Else I guess I can try taking your project
> and making the same change (eventually).
>
> Thanks for the report. --karl
>

Nope, I can't seem to reproduce it, unfortunately; after trying again
more recently, it started working again, and I'm not sure what might
have changed in my environment to cause that to happen... sorry, this
can be closed...
Eric